Summary:	The Waf build system
Summary(pl.UTF-8):	System budowania Waf
Name:		waf
Version:	1.8.16
Release:	1
# note: waf book is on CC-BY-NC-ND (not included in binary package)
License:	BSD
Group:		Development/Building
Source0:	http://waf.io/%{name}-%{version}.tar.bz2
# Source0-md5:	c68227e4d40c0bdd0aadab22a7a27a44
Patch0:		%{name}-path.patch
URL:		http://waf.io/
BuildRequires:	python >= 1:2.6
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.234
Requires:	python(abi) = %{py_ver}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Waf is a general-purpose build system which was modelled from Scons.
Though it comes last in the arena of the build systems, we believe
that Waf is a vastly superior alternative to its competitors
(Autotools, Scons, Cmake, Ant, etc) for building software,

%description -l pl.UTF-8
Waf to system budowania ogólnego przeznaczenia opracowany na podstawie
Scons. Mimo że pojawił się jako ostatni na arenie systemów budowania,
autorzy wierzą, że przewyższa alternatywne narzędzia (Autotools,
Scons, Cmake, Ant itp.).

%prep
%setup -q
%patch0 -p1

%build
# check waf-light
extras=
for f in waflib/extras/*.py ; do
	tool=$(basename "$f" .py)
	if [ "$tool" != "__init__" ]; then
		extras="${extras:+$extras,}$tool"
	fi
done
./waf-light --make-waf --strip --tools="$extras"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/waf/waflib/{Tools,extras}

cp -p waflib/*.py $RPM_BUILD_ROOT%{_datadir}/waf/waflib
cp -p waflib/Tools/*.py $RPM_BUILD_ROOT%{_datadir}/waf/waflib/Tools
cp -p waflib/extras/*.py $RPM_BUILD_ROOT%{_datadir}/waf/waflib/extras

install -D -p waf-light $RPM_BUILD_ROOT%{_bindir}/waf

%py_comp $RPM_BUILD_ROOT%{_datadir}/waf/waflib
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/waf/waflib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) %{_bindir}/waf
%{_datadir}/waf
%changelog
* Tue Oct 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/waf.git;a=log;h=master

* Tue Oct 27 2015 Jan Palus <atler@pld-linux.org> edc96a2
- up to 1.8.16

* Sun Sep 20 2015 Jan Palus <atler@pld-linux.org> 6afcab1
- up to 1.8.14

* Mon Sep 14 2015 Jan Palus <atler@pld-linux.org> 72764e5
- up to 1.8.13

* Mon Jul 06 2015 Jan Palus <atler@pld-linux.org> 96aa0d0
- up to 1.8.12

* Wed Jun 24 2015 Jan Palus <atler@pld-linux.org> aa023ce
- up to 1.8.11

* Mon May 25 2015 Jan Palus <atler@pld-linux.org> 8b97c6e
- up to 1.8.10

* Sun Apr 26 2015 Jan Palus <atler@pld-linux.org> 115ff15
- up to 1.8.9

* Tue Apr 07 2015 Jan Palus <atler@pld-linux.org> 0084480
- up to 1.8.8

* Sun Mar 01 2015 Jan Palus <atler@pld-linux.org> 6e8e5cc
- up to 1.8.7

* Sun Feb 15 2015 Jan Palus <atler@pld-linux.org> 907937a
- up to 1.8.6

* Mon Dec 15 2014 Jan Palus <atler@pld-linux.org> 6a539a7
- up to 1.8.5

* Wed Nov 26 2014 Jan Palus <atler@pld-linux.org> 115fc9d
- missing patch update for 1.8.4
- rel 2

* Wed Nov 26 2014 Jan Palus <atler@pld-linux.org> 3965fd3
- up to 1.8.4

* Sat Mar 29 2014 Jan Palus <jan.palus@gmail.com> bfd9723
- up to 1.7.16
- switch source url to waf ftp site

* Tue Jan 14 2014 Jan Palus <jan.palus@gmail.com> 78fed78
- up to 1.7.15

* Tue Jan 07 2014 Jan Palus <jan.palus@gmail.com> 8242068
- up to 1.7.14
- don't clean *.py files (internal logic depends on them)

* Wed Sep 11 2013 Jakub Bogusz <qboosh@pld-linux.org> a6ad564
- updated to 1.7.13

* Sat Jun 01 2013 Lukasz Glebicki <blekot@pld-linux.org> cec1adb
- up to 1.7.11

* Fri Jan 18 2013 Jakub Bogusz <qboosh@pld-linux.org> b96cfb9
- updated to 1.7.9

* Thu Jan 10 2013 Jakub Bogusz <qboosh@pld-linux.org> f2e7d40
- updated to 1.7.8

